# BiTIA Installation
BiTIA CLI is the Command Line Interface Tool which helps in getting user inputs with commands, directories and required files. It sends tasks to the server, where bitia-runner processes them and generates results.

**To work with BiTIA, we need to install bitia-cli and submit tasks to the server**
## Installing bitia
BiTIA CLI is available on [PyPi] as [BiTIA].

Installing bitia is very simple, you only need to have [python-pip] installed in your system




To Install **BiTIA** using pip, run this command:

<div id="termynal" data-termynal>
    <span data-ty="input">python3 -m pip install bitia</span>
    <span data-ty="progress"></span>
    <span data-ty>Successfully installed bitia</span>
</div>




## Configuration


TODO: Order of searching configuration file.

**_UNIX_**
                 
<div id="termynal" data-termynal>
    <span data-ty="input"> ./bitia.toml  </span>
    <span data-ty="input"> ~/.bitia.toml  </span>
    <span data-ty="input"> $HOME/.config/bitia.toml  </span>
    <span data-ty="input"> /etc/bitia.toml  </span>
</div>
                  
**_WINDOWS_**              
                    
 <div id="termynal" data-termynal>
    <span data-ty="input"> bitia.toml  </span>
    <span data-ty="input"> %APPDATA%\bitia.toml  </span>
    <span data-ty="input"> %PROGRAMDATA%\bitia.toml  </span>
</div>                 



           


                     
                     
                     


[BiTIA]: https://pypi.org/project/bitia/
[Pypi]: https://pypi.org/
[python-pip]: https://pypi.org/project/pip/ 